devplugin

## Interface TvBrowserSettings

-     public interface TvBrowserSettings

  Provides information of the current user settings.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `short` | `getAutoDownloadWaitingTime()` Gets the time to wait for data automatically update.
    `java.awt.Color` | `getColorForMarkingPriority(int priority)` Gets the color for a marking priority.
    `int` | `getDefaultNetworkConnectionTimeout()`
    `Date` | `getLastDownloadDate()`
    `java.awt.Color` | `getProgramPanelOnAirDarkColor()` Gets the dark color of an on air program.
    `java.awt.Color` | `getProgramPanelOnAirLightColor()` Gets the light color of an on air program.
    `java.awt.Color` | `getProgramPanelSelectionColor()` Gets the color for selection of a program panel.
    `int` | `getProgramTableEndOfDay()` Gets the end of day time of the program table.
    `java.awt.Color` | `getProgramTableForegroundColor()` Gets the foreground color of the program table.
    `java.awt.Color` | `getProgramTableMouseOverColor()` Gets the color of the mouse over function of the program table.
    `int` | `getProgramTableStartOfDay()` Gets the start of day time of the program table.
    `int[]` | `getTimeButtonTimes()`
    `java.lang.String` | `getTimePattern()` Gets the time pattern used to format times.
    `java.lang.String` | `getTvBrowserUserHome()`
    `boolean` | `isMarkingBorderPainted()` Gets if the marking have a colored border.
    `boolean` | `isUsingExtraSpaceForMarkIcons()` Gets if extra space for the plugin icons is used.

- - ### Method Detail

    - #### getTvBrowserUserHome

          java.lang.String getTvBrowserUserHome()

      Returns:
        the directory name of the user settings (e.g linux: ~/home/.tvbrowser/);

    - #### getTimeButtonTimes

          int[] getTimeButtonTimes()

      Returns:
        the times of the time buttons (in minutes)

    - #### getLastDownloadDate

          Date getLastDownloadDate()

      Returns:
        the date of the previous donwload

    - #### getDefaultNetworkConnectionTimeout

          int getDefaultNetworkConnectionTimeout()

      Returns:
        The default network connection timeout
      Since:
        2.5.3

    - #### getColorForMarkingPriority

          java.awt.Color getColorForMarkingPriority(int priority)

      Gets the color for a marking priority.
      Parameters:
        `priority` - The priority to get the color for.
      Returns:
        The color for the given priority or `null` if the given priority don't exists.
      Since:
        2.6

    - #### getProgramTableStartOfDay

          int getProgramTableStartOfDay()

      Gets the start of day time of the program table.
      Returns:
        start of day in minutes since midnight
      Since:
        2.6

    - #### getProgramTableEndOfDay

          int getProgramTableEndOfDay()

      Gets the end of day time of the program table.
      Returns:
        end of day in minutes since midnight
      Since:
        2.6

    - #### getProgramPanelOnAirLightColor

          java.awt.Color getProgramPanelOnAirLightColor()

      Gets the light color of an on air program.
      Returns:
        The light color of an on air program.
      Since:
        2.6

    - #### getProgramPanelOnAirDarkColor

          java.awt.Color getProgramPanelOnAirDarkColor()

      Gets the dark color of an on air program.
      Returns:
        The dark color of an on air program.
      Since:
        2.6

    - #### isMarkingBorderPainted

          boolean isMarkingBorderPainted()

      Gets if the marking have a colored border.
      Returns:
        `True` if the border is painted, `false` otherwise.
      Since:
        2.6

    - #### isUsingExtraSpaceForMarkIcons

          boolean isUsingExtraSpaceForMarkIcons()

      Gets if extra space for the plugin icons is used.
      Returns:
        `True` if extra space for the plugin icons is used, `false` otherwise.
      Since:
        2.6

    - #### getAutoDownloadWaitingTime

          short getAutoDownloadWaitingTime()

      Gets the time to wait for data automatically update.
      Returns:
        The time to wait before performing data update in seconds.
      Since:
        2.7.1

    - #### getProgramTableMouseOverColor

          java.awt.Color getProgramTableMouseOverColor()

      Gets the color of the mouse over function of the program table.

      Returns:
        The color of the mouse over function of the program table or `null` if that function is deactivated.
      Since:
        3.2

    - #### getProgramTableForegroundColor

          java.awt.Color getProgramTableForegroundColor()

      Gets the foreground color of the program table.

      Returns:
        The foreground color of the program table.
      Since:
        3.2

    - #### getProgramPanelSelectionColor

          java.awt.Color getProgramPanelSelectionColor()

      Gets the color for selection of a program panel.

      Returns:
        The color for selection of a program panel.
      Since:
        3.2

    - #### getTimePattern

          java.lang.String getTimePattern()

      Gets the time pattern used to format times.

      Returns:
        The time pattern used to format times.
      Since:
        3.2.1

TV-Browser 3.4.3, Copyright (C) 2004-2008 TV-Browser Team (dev@tvbrowser.org)